List companies
curl --request GET \
--url https://sg.sandbox.api.reap.global/companies/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/companies/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/companies/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Acme Corporation",
"registrationNumber": "12345678",
"country": "US",
"status": "CREATED",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:35:00Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "CORPORATE_MODE_REQUIRED",
"message": "<string>",
"detail": {}
}
}Companies
List companies
Retrieves a paginated list of companies. Use cursor-based pagination by passing the nextCursor value from the response to get subsequent pages.
GET
/
companies
/
List companies
curl --request GET \
--url https://sg.sandbox.api.reap.global/companies/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/companies/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/companies/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Acme Corporation",
"registrationNumber": "12345678",
"country": "US",
"status": "CREATED",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:35:00Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "CORPORATE_MODE_REQUIRED",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Query Parameters
Maximum number of items to return (1-100, default: 20)
Required range:
x <= 100Examples:
20
50
100
Opaque cursor for pagination. Pass nextCursor from previous response to get next page.
Filter companies by exact ID match
Filter companies by status (comma-separated)
CREATED: Company created, verification not yet startedPENDING: Application created, verification form not yet submitted or related persons verification not yet completedIN_REVIEW: Verification form submitted and all related persons verified, under review by ReapACTIVE: Company verified and operationalREJECTED: Company verification was rejectedRESTRICTED: Company was previously active and is now restricted
Available options:
CREATED, PENDING, IN_REVIEW, ACTIVE, REJECTED, RESTRICTED